---
- name: "Prepare secrets folder"
  file:
    path: "{{ secrets_book_admin_folder }}"
    state: directory
    mode: 0755
- name: "Generate .env file in the secrets folder"
  template:
    src: .env.yaml.j2
    dest: "{{ secrets_book_admin_folder }}/k3s.env.yaml"
    mode: 0666

- set_fact:
    helm_secret_data: "{{ lookup('file', '{{ secrets_book_admin_folder }}/k3s.env.yaml') }}"
- name: "Generate helm values file"
  template:
    src: helm-values.yaml.j2
    dest: "{{ secrets_book_admin_folder }}/k3s-values.yaml"
    mode: 0666
